Bug 156662 - cpow() ulp errors in test-float, test-ifloat
cpow() ulp errors in test-float, test-ifloat
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
4
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-02 20:09 EDT by John Reiser
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-03 05:08:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2005-05-02 20:09:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
Running "rpmbuild -ba --target ppc glibc.spec" on PowerPC (Mac mini ["G4"]) shows these errors in the internal testcases:
-----
testing float (without inline functions)
Failure: Test: Real part of: cpow (2 + 3 i, 4 + 0 i) == -119.0 - 120.0 i
Result:
 is:         -1.18999961853027343750e+02  -0x1.dbfff600000000000000p+6
 should be:  -1.19000000000000000000e+02  -0x1.dc000000000000000000p+6
 difference:  3.81469726562500000000e-05   0x1.40000000000000000000p-15
 ulp       :  5.0000
 max.ulp   :  4.0000
Maximal error of real part of: cpow
 is      : 5 ulp
 accepted: 4 ulp
Maximal error of imaginary part of: cpow
 is      : 2 ulp
 accepted: 2 ulp

Test suite completed:
  2599 test cases plus 2384 tests for exception flags executed.
  2 errors occurred.
-----
testing float (inline functions)
Failure: Test: Real part of: cpow (2 + 3 i, 4 + 0 i) == -119.0 - 120.0 i
Result:
 is:         -1.18999961853027343750e+02  -0x1.dbfff600000000000000p+6
 should be:  -1.19000000000000000000e+02  -0x1.dc000000000000000000p+6
 difference:  3.81469726562500000000e-05   0x1.40000000000000000000p-15
 ulp       :  5.0000
 max.ulp   :  4.0000
Maximal error of real part of: cpow
 is      : 5 ulp
 accepted: 4 ulp
Maximal error of imaginary part of: cpow
 is      : 2 ulp
 accepted: 2 ulp

Test suite completed:
  2537 test cases plus 2322 tests for exception flags executed.
  2 errors occurred.
-----

Version-Release number of selected component (if applicable):
glibc-2.3.5-4

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -ba --target ppc glibc.spec >rpm.out 2>&1 &; wait
2.
3.
  

Actual Results:  Output from rpmbuild shows 2 testcases failed in each of test-float and test-ifloat.

Expected Results:  No [unexpected] errors.

Additional info:
Comment 1 Jakub Jelinek 2005-05-03 05:08:20 EDT
Yes, ulps need to be updated on all arches for GCC4.  This is known and will
eventually happen.

Note You need to log in before you can comment on or make changes to this bug.